Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class CodecComponent

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.image.CodecComponent

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  Compressor, Decompressor

public class CodecComponent
extends ComponentIdentifier
implements quicktime.jdirect.QuickTimeLib

Corresponds to the Codec Component type. refer to Image Compression Manager in QuickTime

Field Summary
`static CodecComponent` | `anyCodec` choose the first compressor or decompressor of the specified type.
`static CodecComponent` | `bestCompressionCodec` choose the compressor that produces the smallest resulting data.
`static CodecComponent` | `bestFidelityCodec` choose the most accurate compressor or decompressor of the specified type.
`static CodecComponent` | `bestSpeedCodec` choose the fastest compressor or decompressor of the specified type.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`static CodecComponent` | `fromSpatialSettings(SpatialSettings ss)` Get the default Codec in the dialog box.

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### anyCodec

    public static final CodecComponent anyCodec

  choose the first compressor or decompressor of the specified type.

### bestSpeedCodec

    public static final CodecComponent bestSpeedCodec

  choose the fastest compressor or decompressor of the specified type.

### bestFidelityCodec

    public static final CodecComponent bestFidelityCodec

  choose the most accurate compressor or decompressor of the specified type.

### bestCompressionCodec

    public static final CodecComponent bestCompressionCodec

  choose the compressor that produces the smallest resulting data.

Method Detail

### fromSpatialSettings

    public static CodecComponent fromSpatialSettings(SpatialSettings ss)

  Get the default Codec in the dialog box.
  Returns:
    the Codec
  See Also:
    `SpatialSettings.getCodec()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD